Name:           python3-flask-auth
Version:        0.4
Release:        1%{?dist}
Summary:        Flask authentication framework
Group:          Development/Libraries
License:        PSF
URL:            http://wtforms.simplecodes.com
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3
Requires:       python3-ldap
Requires:       python3-flask
Requires:       python3-flask-login
Requires:       python3-wtforms

%description
Python3 flask framework for authentication. Supports local auth and LDAP.

%prep
%setup

%build
python3 setup.py build

%install
python3 setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/flask_auth/*

%changelog
* Wed Apr 1 2015 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> - 0.4.-1.ru6
- Initial build for Centos 6 at Rutgers

